RipanWinkle_First_Introduction_Triggered=false
function onTalk()
    --一些基础设置
    disableMovement()
    local dialog_choice=1
    --获取是否第一次与其对话
    RipanWinkle_First_Introduction_Triggered=getFlag("RipanWinkle_First_Introduction_Triggered")
    if RipanWinkle_First_Introduction_Triggered==false then
        setFlag("RipanWinkle_First_Introduction_Triggered",true)
        say("RipanWinkle_Introduction") 
    --如果不是第一次对话，则出现对话选择项
    else
        dialog_choice=choice("RipanWinkle_UI_1","RipanWinkle_UI_2","RipanWinkle_UI_6","RipanWinkle_UI_3")
        if dialog_choice==1 then
            say("RipanWinkle_Introduction")
        elseif dialog_choice==2 then
            say("RipanWinkle_Review_Quakerish")
        elseif dialog_choice==3 then
            say("RipanWinkle_Review_Portal")
        end
    end

end

function onEnd()
    enableMovement()
end